package com.bonait.bnframework.HBL.DataUtil;




import com.bonait.bnframework.HBL.Enum.DataFormat;

import java.nio.ByteBuffer;

public class FloatLib {
    public static float ToFloat(byte[] bytes, DataFormat df) {
        byte[] res=  new ByteTransDataFormat().ByteTransDataFormat4(bytes,df,0);
        return ByteBuffer.wrap(res).getFloat();
    }

    public static float[] ToFloats(byte[] bytes, DataFormat df) {
        byte[] tempBytes=new byte[bytes.length];
        if (bytes.length%4!=0)
        {
            int offset=4-bytes.length%4;
            tempBytes=new byte[bytes.length+offset];
        }
        for (int i=0;i<bytes.length;i++){tempBytes[i]=bytes[i];}
        float[] result = new float[tempBytes.length/4];
        for (int i=0; i<result.length; i++){
            byte[] res=  new ByteTransDataFormat().ByteTransDataFormat4(tempBytes,df,i*4);
            result[i]=ByteBuffer.wrap(res).getFloat();
        }
        return result;
    }
}
